Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362701 - ComplianceReason.ReasonKeys.UNMAPPED_GUEST was chopped in half
Summary: ComplianceReason.ReasonKeys.UNMAPPED_GUEST was chopped in half
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Chris "Ceiu" Rog
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 22:09 UTC by John Sefler
Modified: 2019-04-12 14:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-12 14:12:42 UTC


Attachments (Terms of Use)

Description John Sefler 2016-08-02 22:09:34 UTC
Description of problem:

I think this was unintentional...
In candlepin commit 8199f0a36be19875520e11a71ab2a96a937da244, the following few lines were removed...

-        else if (reason.getKey().equals("UNMAPPEDGUEST")) {
-            reason.setMessage(i18n.tr("Guest has not been reported on any host" +
-                " and is using a temporary unmapped guest subscription."));
-        }

and replaced by...

+        REASON_MESSAGES.put(ComplianceReason.ReasonKeys.UNMAPPED_GUEST,
+            I18n.marktr("Guest has not been reported on any host"));

notice that half of the original string was lost.


Version-Release number of selected component (if applicable):
commit 8199f0a36be19875520e11a71ab2a96a937da244
Follows: candlepin-2.0.16-1


Steps to Reproduce:
located in file server/src/main/java/org/candlepin/policy/js/compliance/StatusReasonMessageGenerator.java



This was detected by an automated TemporaryPoolTests...
java.lang.AssertionError: Status Details of a consumed subscription from a temporary pool for unmapped guests only.: Lists match at element [0]: Guest has not been reported on any host and is using a temporary unmapped guest subscription. != Guest has not been reported on any host expected:<Guest has not been reported on any host and is using a temporary unmapped guest subscription.> but was:<Guest has not been reported on any host>

Comment 1 Chris "Ceiu" Rog 2016-08-03 16:00:04 UTC
commit d732b42598f5af868bbe7a228f0c206754c441b4
Author: Chris Rog <crog@redhat.com>
Date:   Wed Aug 3 08:43:04 2016 -0400

    1362701: Reverted accidental truncation of compliance status message
    
    - Reverted the accidental truncation of the compliance status reason
      message for unmapped guests.


Note You need to log in before you can comment on or make changes to this bug.